<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/atom/class/view/adminatompluginsettingsview.class.php" );

	/**
	 * doesn't do almost anything :))
	 */
	class AdminAtomPluginSettingsAction extends AdminAction
	{
		function AdminAtomPluginSettingsAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requirePermission( "manage_plugins" );			
		}

		function perform()
		{
			$this->_view = new AdminAtomPluginSettingsView( $this->_blogInfo, $this->_userInfo );
			$this->setCommonData();

			return true;
		}
	}
?>